#pragma once
#include "Engine/LocalPlayer.h"
#include "SceneView.h"
#include "Runtime/Launch/Resources/Version.h"

#include "VentuzLocalPlayer.generated.h"

UCLASS()
class UVentuzLocalPlayer : public ULocalPlayer
{
    GENERATED_BODY()

public:

#if ENGINE_MAJOR_VERSION >= 5 
    virtual FSceneView* CalcSceneView( class FSceneViewFamily* ViewFamily, FVector& OutViewLocation, FRotator& OutViewRotation, FViewport* Viewport, class FViewElementDrawer* ViewDrawer = NULL, int32 StereoViewIndex = INDEX_NONE ) override;
#else
    virtual FSceneView* CalcSceneView(class FSceneViewFamily* ViewFamily, FVector& OutViewLocation, FRotator& OutViewRotation, FViewport* Viewport, class FViewElementDrawer* ViewDrawer = NULL, EStereoscopicPass StereoPass = eSSP_FULL ) override;
#endif

};